import React from "react";
import { FabCityHamburgLogo } from "@components/FabCityHamburgLogo";
import LinkOrContainer from "./LinkOrContainer";

interface Props {
  href?: string;
  desktopLight?: boolean;
  mobileLight?: boolean;
  desktopMonotone?: boolean;
  mobileMonotone?: boolean;
  className?: string;
  desktopClasses?: string;
  mobileClasses?: string;
}

export const LogoResponsive: React.FC<Props> = ({
  href,
  desktopLight,
  mobileLight,
  desktopMonotone,
  mobileMonotone,
  className,
  desktopClasses,
  mobileClasses,
}) => {
  const containerClasses = "block w-auto lg:w-36 lg:h-auto h-6 z-10";

  return (
    <LinkOrContainer className={containerClasses + " " + (className || "")} href={href}>
      {/* Desktop viewports */}
      <FabCityHamburgLogo
        lightColor={desktopLight}
        monotone={desktopMonotone}
        className={`hidden lg:block ${desktopClasses || ""}`}
      />
      {/* Mobile viewports */}
      <FabCityHamburgLogo
        lightColor={mobileLight}
        monotone={mobileMonotone}
        className={`h-full block lg:hidden ${mobileClasses || ""}`}
      />
    </LinkOrContainer>
  );
};
