import * as React from "react";
import LanguageSelector from "@components/LanguageSelector";
import type { Story } from "@ladle/react";

interface LanguageSelectorConfigProps {
  horizontal: boolean;
}

/**
 * TODO: Refactor Language Selector, when it's being used again
 */

/* eslint-disable react/prop-types */
export const LanguageSelectorStory: Story<LanguageSelectorConfigProps> = ({
  horizontal,
}) => (
  <div className="p-4 justify-center flex">
    <LanguageSelector
      languages={["EN", "DE"]}
      horizontal={horizontal}
      selectedLanguage="EN"
    />
  </div>
);

export default {
  title: "Molecules",
};

LanguageSelectorStory.args = {
  horizontal: false,
};

LanguageSelectorStory.storyName = "Language Selector";
