import * as React from "react";
import { MiniCard } from "@components/MiniCard";
import type { Story } from "@ladle/react";
import { INewsImage, INewsCategory } from "@interfaces/INews";

interface MiniCardConfigProps {
  name: string;
  category: string;
  image: INewsImage;
  tag: INewsCategory;
  href: string;
  type: "light" | "dark";
  className?: string;
}

const miniCard: MiniCardConfigProps = {
  name: "designxport / Hamburg Kreativ Gesellschaft mbH",
  category: "Bildungs- und Veranstaltungsort",
  image: {
    alt: "miniCard-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  tag: {
    id: 2,
    title: "Fablab",
    href: "#",
  },
  href: "#",
  type: "light",
};

export const MiniCardStory: Story<
  MiniCardConfigProps
> = ({}: MiniCardConfigProps) => {
  return (
    <div className="w-full">
      <MiniCard
        image={miniCard.image}
        name={miniCard.name}
        category={miniCard.category}
        tag={miniCard.tag}
        href={miniCard.href}
        type={miniCard.type}
      />
    </div>
  );
};

export default {
  title: "Molecules",
};

MiniCardStory.storyName = "Mini card";
