import * as React from "react";
import { Tabs, Tab } from "@components/Tabs";
import { ITabItem } from "@interfaces/ITab";

const TAB_ENTRIES: ITabItem[] = [
  {
    label: "Tab 1",
    content: "Tab 1 content with <strong>HTML formatting</strong>.",
  },
  {
    label: "Tab 2",
    content: "Tab 2 content",
  },
  {
    label: "Tab 3",
    content: "Tab 3 content",
  },
];

export const TabsStory = () => (
  <div>
    <div>
      <Tabs>
        <Tab label="My account">
          Id orci tellus laoreet id ac. Dolor, aenean leo, ac etiam consequat
          in. Convallis arcu ipsum urna nibh. Pharetra, euismod vitae interdum
          mauris enim, consequat vulputate nibh. Maecenas pellentesque id sed
          tellus mauris, ultrices mauris. Tincidunt enim cursus ridiculus mi.
          Pellentesque nam sed nullam sed diam turpis ipsum eu a sed convallis
          diam.
        </Tab>
        <Tab label="Company">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum
          dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit
          amet, consectetur adipiscing elit.
        </Tab>
        <Tab label="Team Members">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum
          dolor sit amet, consectetur adipiscing elit.
        </Tab>
        <Tab label="Billing">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum
          dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit
          amet, consectetur adipiscing elit.
        </Tab>
      </Tabs>
    </div>
    <div className="mt-5">
      <h3>Using tabs with input entries</h3>
      <Tabs entries={TAB_ENTRIES} />
    </div>
  </div>
);

export default {
  title: "Molecules",
};

TabsStory.storyName = "Tabs";
